<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net8.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UseWPF>true</UseWPF>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Assets\Images\avatar_user.png" />
    <None Remove="Assets\Images\background_preview.png" />
    <None Remove="Assets\Images\background_texture.png" />
    <None Remove="Assets\Images\icon_email.png" />
    <None Remove="Assets\Images\icon_eye.png" />
    <None Remove="Assets\Images\icon_password.png" />
    <None Remove="Assets\Images\logo_levelcode.png" />
    <None Remove="Assets\Images\logo_levelcode.svg" />
    <None Remove="Assets\Images\logo_levelcode2.png" />
    <None Remove="Assets\Images\Logo_simples.png" />
    <None Remove="background_preview.png" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Data.SqlClient" Version="6.1.4" />
    <PackageReference Include="System.Data.SqlClient" Version="4.9.1" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Assets\Images\avatar_user.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Assets\Images\background_preview.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Assets\Images\background_texture.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Assets\Images\icon_email.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Assets\Images\icon_eye.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Assets\Images\icon_password.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Assets\Images\logo_levelcode.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Assets\Images\logo_levelcode.svg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Assets\Images\logo_levelcode2.png" />
    <Resource Include="Assets\Images\Logo_simples.png" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="background_preview.png" />
  </ItemGroup>

</Project>
